unit dbunit;

{ $Id: dbUnit.pas 32 2007-01-22 01:35:20Z jmarino $ }

interface

{$I PDO/directives.inc}

uses PDO, PDOStatement, PDOClasses, sysUtils;


var
    db: TPDO;
    row: TPDORowNative;
    rowset: TPDORowSetNative;
    rowKeyPair: TPDORowKeyStrings;
    rowsetKeyPair: TPDORowSetKeyStrings;
    stmt: IPDOStatement;
    selectSQL: PDO_selectRecord;


implementation



initialization
    db     := TPDO.Create;
    row    := TPDORowNative.Create;
    rowset := TPDORowSetNative.Create;
    rowKeyPair := TPDORowKeyStrings.Create;
    rowsetKeyPair := TPDORowSetKeyStrings.Create;

finalization
    rowsetKeyPair.Free;
    rowKeyPair.Free;
    rowset.Free;
    row.Free;


    db.Free;

end.
