program dbtest;

{$UNITPATH PDO}
{$DEFINE FPC}
{$DEFINE FREEBSD}

uses
  SysUtils,
  dbunit in 'dbUnit.pas',
  PDO in 'PDO/PDO.pas',
  PDOClasses in 'PDO/PDOClasses.pas',
  PDOCompatibility in 'PDO/PDOCompatibility.pas',
  PDOConnection in 'PDO/PDOConnection.pas',
  PDOInterfaces in 'PDO/PDOInterfaces.pas',
  PDOLogging in 'PDO/PDOLogging.pas',
  PDOMessages in 'PDO/PDOMessages.pas',
  PDOPlainLoader in 'PDO/PDOPlainLoader.pas',
  PDOStatement in 'PDO/PDOStatement.pas',
  PDOSysUtils in 'PDO/PDOSysUtils.pas',
  PDOMySQLDriver in 'PDO/drivers/mysql/PDOMySQLDriver.pas',
  PDOLibraryMySQL40 in 'PDO/drivers/mysql/mysql_4_0/PDOLibraryMySQL40.pas',
  PDOLibraryMySQL41 in 'PDO/drivers/mysql/mysql_4_1/PDOLibraryMySQL41.pas',
  PDOLibraryMySQL50 in 'PDO/drivers/mysql/mysql_5_0/PDOLibraryMySQL50.pas',
  PDODriverMySQL40 in 'PDO/drivers/mysql/mysql_4_0/PDODriverMySQL40.pas',
  PDODriverMySQL41 in 'PDO/drivers/mysql/mysql_4_1/PDODriverMySQL41.pas',
  PDODriverMySQL50 in 'PDO/drivers/mysql/mysql_5_0/PDODriverMySQL50.pas',
  PDOConstantsMySQL in 'PDO/drivers/mysql/PDOConstantsMySQL.pas',
  PDOConnectMySQL in 'PDO/drivers/mysql/PDOConnectMySQL.pas',
  PDOUtilsMySQL in 'PDO/drivers/mysql/PDOUtilsMySQL.pas',
  PDOStatementMySQL in 'PDO/drivers/mysql/PDOStatementMySQL.pas',
  PDOResultMySQL in 'PDO/drivers/mysql/PDOResultMySQL.pas',
  PDOResult in 'PDO/PDOResult.pas',
  PDOSQL in 'PDO/PDOSQL.pas',
  PDOSQLDelete in 'PDO/PDOSQLDelete.pas',
  PDOSQLUpdate in 'PDO/PDOSQLUpdate.pas';


begin
    writeln('FPC 2.0 - With mysql 4.0');
    if db.connect('pdo:mysql-4.0://host=localhost;dbname=pdo_test','pdo_user','pdo') then
    begin
        writeln ('connection succeeded');
        stmt := db.query_as_is ('SELECT * FROM nfl_teams WHERE nfl_team >= 0');
        writeln ('Number  Abbr    NFL Location and Mascot');
        writeln ('=======================================');
        while (stmt.fetch(row)) do
        begin
                writeln(row.hash('nfl_team').asString + chr(9) +
                	row.column[1].asString + chr(9) +
                	row.hash('location').asString + ' ' +
                	row.hash('name').asString);
        end;
    end
else
    begin
        writeln ('connection attempt failed');
    end;
end.
